﻿
Imports DTO
Imports Business_Layer

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub OnSubmit(ByVal sender As Object, ByVal e As EventArgs)
        Dim customer As Customer = New Customer With {
            .CustomerId = txtId.Text,
            .Name = txtName.Text,
            .Country = txtCountry.Text
        }
        Dim customerBL As ICustomerBL = New CustomerBL()

        'Update customer data
        Dim rowsAffected As Integer = customerBL.UpdateCustomer(customer)
        If rowsAffected > 0 Then
            ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Customer record updated.');", True)
        Else
            ClientScript.RegisterStartupScript(Me.GetType(), "alert", "alert('Customer not found.');", True)
        End If
    End Sub
End Class
