﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DTO;

namespace Data_Layer
{
    public class CustomerDL
    {
        ///<summary>
        /// Update Customer data.
        ///</summary>
        ///<paramname="Customer">Customer object.</param>
        ///<returns>RowsAffected</returns>
        public static int UpdateCustomer(Customer customer)
        {
            string sql = "Customers_UpdateCustomer";

            Dictionary<string, object> parameters = new Dictionary<string, object>();
            parameters.Add("@CustomerId", customer.CustomerId);
            parameters.Add("@Name", customer.Name);
            parameters.Add("@Country", customer.Country);
            return sql.Execute(parameters, true);
        }
    }
}
